psychopy.org | Reference | Downloads | Github

Index file not pushed to gitlab - time out issue?

URL of experiment: https://run.pavlovia.org/Crible/disrelrating1/html
https://gitlab.pavlovia.org/Crible/disrelrating1

Description of the problem: I’m experiencing big syncing issues with one particular experiment. When I sync it, all the files get pushed to gitlab except the index.html file, so the experiment does not get updated when I run it online.
I’ve had this problem on previous versions of this experiment but I thought it was due to having it copied from a different study, I thought it might be a problem with versions of the file. So I started the experiment from scratch and removed the previous project. It worked fine yesterday, was syncing properly, but this morning it’s not syncing again.
The only difference between yesterday and this morning is that I’m at home and not at work so using a different wifi network.

I’m still able to sync and update all my other experiments.
I get this error when I open the index.html file directly in my browser:

Access to script at ‘file:///C:/Users/lcrible/OneDrive%20-%20University%20of%20Edinburgh/Marie%20Curie/Experiments/PsychoPy/DisRelRating/html/DisRelRating1.js’ from origin ‘null’ has been blocked by CORS policy: Cross origin requests are only supported for protocol schemes: http, data, chrome, chrome-extension, https.
DisRelRating1.js:1 Failed to load resource: net::ERR_FAILED

I used to get a long error message on psychopy “black window” but it won’t show up anymore so I can’t show it here unfortunately, but it was something about an “exception” and it kept saying “timed out”…

I haven’t changed any other parameter of the experiment compared to my other ones. The code was working yesterday.

EDIT: while writing this post, I now see that nothing gets pushed to gitlab from the html folder anymore. And I’m seeing this for this first time on Psychopy output window:

Thanks already for your help!

Updating this (I can’t edit the message)
Here’s the new link the to the experiment https://run.pavlovia.org/Crible/disrating1/html
I got the extended error message today in the pop-up window at syncing, it says this:

Synchronising…Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 384, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 380, in _make_request
httplib_response = conn.getresponse()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 1331, in getresponse
response.begin()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 297, in begin
version, status, reason = self._read_status()
File “C:\Program Files\PsychoPy3\lib\http\client.py”, line 258, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), “iso-8859-1”)
File “C:\Program Files\PsychoPy3\lib\socket.py”, line 586, in readinto
return self._sock.recv_into(b)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\contrib\pyopenssl.py”, line 298, in recv_into
raise timeout(‘The read operation timed out’)
socket.timeout: The read operation timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 445, in send
timeout=timeout
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\util\retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\packages\six.py”, line 686, in reraise
raise value
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 386, in _make_request
self._raise_timeout(err=e, url=url, timeout_value=read_timeout)
File “C:\Program Files\PsychoPy3\lib\site-packages\urllib3\connectionpool.py”, line 306, in _raise_timeout
raise ReadTimeoutError(self, url, “Read timed out. (read timeout=%s)” % timeout_value)
urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\app\pavlovia_ui\project.py”, line 519, in syncProject
status = project.sync(syncFrame.syncPanel.infoStream)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py”, line 640, in sync
self.repo = self.getRepo(forceRefresh=True, infoStream=infoStream)
File “C:\Program Files\PsychoPy3\lib\site-packages\psychopy\projects\pavlovia.py”, line 763, in getRepo
self.pavlovia = getCurrentSession().gitlab.projects.get(self.id)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\exceptions.py”, line 242, in wrapped_f
return f(*args, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab\mixins.py”, line 49, in get
server_data = self.gitlab.http_get(path, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 517, in http_get
streamed=streamed, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\gitlab_init_.py”, line 472, in http_request
result = self.session.send(prepped, timeout=timeout, **settings)
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\sessions.py”, line 622, in send
r = adapter.send(request, **kwargs)
File “C:\Program Files\PsychoPy3\lib\site-packages\requests\adapters.py”, line 526, in send
raise ReadTimeout(e, request=request)
requests.exceptions.ReadTimeout: HTTPSConnectionPool(host=‘gitlab.pavlovia.org’, port=443): Read timed out. (read timeout=2)

I don’t always get it though. Again, all files get pushed (except the index.html but maybe that’s normal) but the online experiment is not updated. I basically have to keep making new projects each time I want to update the experiment.
I’m really stuck with this issue, can anyone help please? @dvbridges or @jon maybe?
Thanks